summaryrefslogtreecommitdiffstats
path: root/configure
diff options
context:
space:
mode:
authorfche <fche>2006-11-26 23:28:15 +0000
committerfche <fche>2006-11-26 23:28:15 +0000
commitc931ec8ab64f5b6667e28b0f64338643d4b9ed03 (patch)
tree80b739d8a696c6acc3ce26853ebc9c8de603c52f /configure
parentcc7d24cd109128d558445507e508f5b43906ef16 (diff)
downloadsystemtap-steved-c931ec8ab64f5b6667e28b0f64338643d4b9ed03.tar.gz
systemtap-steved-c931ec8ab64f5b6667e28b0f64338643d4b9ed03.tar.xz
systemtap-steved-c931ec8ab64f5b6667e28b0f64338643d4b9ed03.zip
2006-11-26 Frank Ch. Eigler <fche@redhat.com>
PRs 2685, 3596, toward 2725. * tapsets.cxx (common_probe_entryfn_prologue): Skip probe on insufficient stack. (build_blacklist): Add a slew of lock-related calls. (query_module): Check for debuginfo architecture match. * translate.cxx (translate_pass): Add default MINSTACKSPACE. * configure.ac: Link stap with -lebl too. * configure: Regenerated. * stap.1.in: Document MINSTACKSPACE parameter.
Diffstat (limited to 'configure')
-rwxr-xr-xconfigure83
1 files changed, 82 insertions, 1 deletions
diff --git a/configure b/configure
index 240df784..7cee7614 100755
--- a/configure
+++ b/configure
@@ -5859,13 +5859,94 @@ echo "$as_me: error: systemtap requires elfutils 0.123+" >&2;}
{ (exit 1); exit 1; }; }
fi
+
+echo "$as_me:$LINENO: checking for ebl_openbackend in -lebl" >&5
+echo $ECHO_N "checking for ebl_openbackend in -lebl... $ECHO_C" >&6
+if test "${ac_cv_lib_ebl_ebl_openbackend+set}" = set; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+ ac_check_lib_save_LIBS=$LIBS
+LIBS="-lebl $LIBS"
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h. */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h. */
+
+/* Override any gcc2 internal prototype to avoid an error. */
+#ifdef __cplusplus
+extern "C"
+#endif
+/* We use char because int might match the return type of a gcc2
+ builtin and then its argument prototype would still apply. */
+char ebl_openbackend ();
+int
+main ()
+{
+ebl_openbackend ();
+ ;
+ return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
+ (eval $ac_link) 2>conftest.er1
+ ac_status=$?
+ grep -v '^ *+' conftest.er1 >conftest.err
+ rm -f conftest.er1
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } &&
+ { ac_try='test -z "$ac_cxx_werror_flag"
+ || test ! -s conftest.err'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; } &&
+ { ac_try='test -s conftest$ac_exeext'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; }; then
+ ac_cv_lib_ebl_ebl_openbackend=yes
+else
+ echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+ac_cv_lib_ebl_ebl_openbackend=no
+fi
+rm -f conftest.err conftest.$ac_objext \
+ conftest$ac_exeext conftest.$ac_ext
+LIBS=$ac_check_lib_save_LIBS
+fi
+echo "$as_me:$LINENO: result: $ac_cv_lib_ebl_ebl_openbackend" >&5
+echo "${ECHO_T}$ac_cv_lib_ebl_ebl_openbackend" >&6
+if test $ac_cv_lib_ebl_ebl_openbackend = yes; then
+ cat >>confdefs.h <<_ACEOF
+#define HAVE_LIBEBL 1
+_ACEOF
+
+ LIBS="-lebl $LIBS"
+
+else
+
+ { { echo "$as_me:$LINENO: error: systemtap requires elfutils 0.123+" >&5
+echo "$as_me: error: systemtap requires elfutils 0.123+" >&2;}
+ { (exit 1); exit 1; }; }
+fi
+
stap_LIBS="$LIBS"
LIBS="$SAVE_LIBS"
else
# We built our own and stap_LDFLAGS points at the install.
- stap_LIBS=-ldw
+ stap_LIBS="-ldw -lebl"
fi
+{ echo "$as_me:$LINENO: stap will link $stap_LIBS" >&5
+echo "$as_me: stap will link $stap_LIBS" >&6;}
date=`date +%Y-%m-%d`